#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

PKGNAME = libpxp-ocaml-dev
DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure -without-wlex -without-wlex-compat
	rm -f README	# it's a symlink, the real one is doc/README

override_dh_auto_build:
	$(MAKE)
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opt
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	-for f in debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)/examples/xmlforms/styles/* ; do \
		test ! -r $$f && rm -f $$f ; \
	done
